Bug 72598 - new port: net/bld
Summary: new port: net/bld
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Anton Berezin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-12 23:20 UTC by Olivier Beyssac
Modified: 2004-10-27 20:55 UTC (History)
0 users

See Also:


Attachments
file.shar (6.49 KB, text/plain)
2004-10-12 23:20 UTC, Olivier Beyssac
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Beyssac 2004-10-12 23:20:26 UTC
	BLD is a simple and efficient black list daemon
Comment 1 Anton Berezin freebsd_committer 2004-10-12 23:22:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

Grab.
Comment 2 Anton Berezin 2004-10-26 22:47:48 UTC
Hi,

On Wed, Oct 13, 2004 at 12:15:53AM +0200, Olivier Beyssac wrote:
> >Description:
> 	BLD is a simple and efficient black list daemon

Actually, could you maybe do some minor changes to the port?

1. Use portlint -abt
   There are some Makefile warnings (easy to fix).  I understand that
   the pkg-install warnings can be safely ignored.

2. What is the point of

            ./pkg-install bld POST-INSTALL

   in the post-install target?  First, it is a NOOP according to the
   actual contents of pkg-install.  Second, it's a wrong form (all the
   ${PKGINSTALL} hoop-la is not properly observed).  So, either remove
   it, or fix it.  :-)

3. It looks like _another_ ${PKGINSTALL} in the Makefile is also
   problematic - is not second ${PREFIX} supposed to be ${PKGNAME}.  Oh,
   "bld" in (2) shall also be ${PKGNAME}.

Those points above are very minor, I could fix them myself, but I
decided to leave it to you because of the last one.

4. Although you do handle PACKAGE_BUILDING, pkg-install will break in BATCH
   mode - so either set IS_INTERACTIVE=yes in the Makefile, or adjust
   pkg-install to do the right thing (mail/postfix/pkg-install is a good
   example of BATCH handling).

Sorry it took so long to get back to you, and thanks for bld.  :-)

\Anton.
-- 
The moronity of the universe is a monotonically increasing function. --
Jarkko Hietaniemi
Comment 3 Anton Berezin freebsd_committer 2004-10-27 20:55:00 UTC
State Changed
From-To: open->closed

New port added, thanks! 

(I added the rc.d/ script to pkg-plist)